Create quote
curl --request POST \
--url https://api.prod.polymarketexchange.com/v1/rfqs/quotes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rfqId": "<string>",
"buyPrice": "<string>",
"sellPrice": "<string>",
"restRemainder": true,
"account": "<string>",
"postOnly": true
}
'import requests
url = "https://api.prod.polymarketexchange.com/v1/rfqs/quotes"
payload = {
"rfqId": "<string>",
"buyPrice": "<string>",
"sellPrice": "<string>",
"restRemainder": True,
"account": "<string>",
"postOnly": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rfqId: '<string>',
buyPrice: '<string>',
sellPrice: '<string>',
restRemainder: true,
account: '<string>',
postOnly: true
})
};
fetch('https://api.prod.polymarketexchange.com/v1/rfqs/quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"quoteId": "<string>"
}Creates a quote for an RFQ.
POST
/
v1
/
rfqs
/
quotes
Create quote
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
A successful response.
⌘I